HedgeEm API

Deal Hands

POST
/api/deal

Authorization

bearerAuth
AuthorizationBearer <token>

Supabase Auth JWT. Obtain via Supabase Auth sign-in.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://hedgeem-v5.qeetoto.com/api/deal" \  -H "Content-Type: application/json" \  -d '{    "numberOfHands": 4  }'
{
  "hands": [
    "AcKd",
    "QsJs",
    "8h7c",
    "5d2c"
  ],
  "handOdds": [
    {
      "handIndex": 0,
      "bettingStage": 0,
      "handStatus": "IN_PLAY_FAVOURITE",
      "winPercentage": 62.4,
      "drawPercentage": 2.1,
      "odds": 1.6
    },
    {
      "handIndex": 1,
      "bettingStage": 0,
      "handStatus": "IN_PLAY_BETTING_STAGE_ACTIVE",
      "winPercentage": 21.3,
      "drawPercentage": 1.8,
      "odds": 4.69
    },
    {
      "handIndex": 2,
      "bettingStage": 0,
      "handStatus": "IN_PLAY_BETTING_STAGE_ACTIVE",
      "winPercentage": 10.2,
      "drawPercentage": 0.9,
      "odds": 9.8
    },
    {
      "handIndex": 3,
      "bettingStage": 0,
      "handStatus": "IN_PLAY_BETTING_STAGE_ACTIVE",
      "winPercentage": 6.1,
      "drawPercentage": 0.5,
      "odds": 16.39
    }
  ],
  "remainingDeck": [
    "2c",
    "3d",
    "4h",
    "..."
  ]
}
{
  "error": "betAmount must be a positive number."
}
{
  "error": "Missing or invalid Authorization header."
}